#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Sep 19 16:16:54 2022


Solution to Exercise 1a 


@author: richter
"""

import numpy as np
import matplotlib.pyplot as plt


## This is the function that we are going to approximate
def f(x):
    return np.log(1+x)*np.exp(np.sin(x))


## Plot the function on [0,10]
x = np.linspace(0,10,100)    # Create 100 points in [0,10]
y = f(x)                     # Evaluate f(x) in these points

plt.plot(x,y,label='f(x)') 
plt.legend()
plt.show()

